org.python.core

## Class FilelikeInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.python.core.FilelikeInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class FilelikeInputStream
    extends java.io.InputStream

### Constructor Summary

Constructors
Constructor and Description
`FilelikeInputStream(PyObject filelike)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilelikeInputStream

    public FilelikeInputStream(PyObject filelike)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`